Package com.google.protobuf

# Class Internal.MapAdapter<K,V,RealValue>

java.lang.Object
java.util.AbstractMap<K,V>
com.google.protobuf.Internal.MapAdapter<K,V,RealValue>

All Implemented Interfaces:
  `Map<K,V>`

Enclosing class:
  Internal

public static class Internal.MapAdapter<K,V,RealValue> extends AbstractMap<K,V>
Wrap around a `Map<K, RealValue>` and provide a `Map<K, V>` interface.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Internal.MapAdapter.Converter<A,B>`
An interface used to convert between two types.

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`MapAdapter(Map<K,RealValue> realMap, Internal.MapAdapter.Converter<RealValue,V> valueConverter)`

## Method Summary

Modifier and Type
Method
Description
`Set<Map.Entry<K,V>>`
`entrySet()`
`V`
`get(Object key)`
`static <T extends Internal.EnumLite>
Internal.MapAdapter.Converter<Integer,T>`
`newEnumConverter(Internal.EnumLiteMap<T> enumMap, T unrecognizedValue)`
`V`
`put(K key, V value)`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### MapAdapter

public MapAdapter(Map<K,RealValue> realMap, Internal.MapAdapter.Converter<RealValue,V> valueConverter)

## Method Details

### newEnumConverter

public static <T extends Internal.EnumLite> Internal.MapAdapter.Converter<Integer,T> newEnumConverter(Internal.EnumLiteMap<T> enumMap, T unrecognizedValue)

### get

public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`
Overrides:
  `get` in class `AbstractMap<K,V>`

### put

public V put(K key, V value)

Specified by:
  `put` in interface `Map<K,V>`
Overrides:
  `put` in class `AbstractMap<K,V>`

### entrySet

public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`
Specified by:
  `entrySet` in class `AbstractMap<K,V>`